- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# zpool_facts – Gather facts about ZFS pools

- Synopsis

- Parameters

- Examples

- Returned Facts

- Return Values

- Status

## Synopsis

- Gather facts from ZFS pool properties.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - |  | ZFS pool name. aliases: pool, zpool
parsable boolean | Choices: no ← yes | Specifies if property values should be displayed in machine friendly format.
properties - | Default: "all" | Specifies which dataset properties should be queried in comma-separated format. For more information about dataset properties, check zpool(1M) man page. aliases: props

## Examples

    # Gather facts about ZFS pool rpool
    - zpool_facts: pool=rpool

    # Gather space usage about all imported ZFS pools
    - zpool_facts: properties='free,size'

    - debug: msg='ZFS pool {{ item.name }} has {{ item.free }} free space out of {{ item.size }}.'
      with_items: '{{ ansible_zfs_pools }}'

## Returned Facts

Facts returned by this module are added/updated in the `hostvars` host facts and can be referenced by name just like any other host fact. They do not need to be registered in order to use them.

Fact | Returned | Description
--- | --- | ---
ansible_zfs_pools string | always | ZFS pool facts Sample: {'allocated': '3.46G', 'altroot': '-', 'autoexpand': 'off', 'autoreplace': 'off', 'bootfs': 'rpool/ROOT/openindiana', 'cachefile': '-', 'capacity': '6%', 'comment': '-', 'dedupditto': '0', 'dedupratio': '1.00x', 'delegation': 'on', 'expandsize': '-', 'failmode': 'wait', 'feature@async_destroy': 'enabled', 'feature@bookmarks': 'enabled', 'feature@edonr': 'enabled', 'feature@embedded_data': 'active', 'feature@empty_bpobj': 'active', 'feature@enabled_txg': 'active', 'feature@extensible_dataset': 'enabled', 'feature@filesystem_limits': 'enabled', 'feature@hole_birth': 'active', 'feature@large_blocks': 'enabled', 'feature@lz4_compress': 'active', 'feature@multi_vdev_crash_dump': 'enabled', 'feature@sha512': 'enabled', 'feature@skein': 'enabled', 'feature@spacemap_histogram': 'active', 'fragmentation': '3%', 'free': '46.3G', 'freeing': '0', 'guid': '15729052870819522408', 'health': 'ONLINE', 'leaked': '0', 'listsnapshots': 'off', 'name': 'rpool', 'readonly': 'off', 'size': '49.8G', 'version': '-'}

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
name string | always | ZFS pool name Sample: rpool
parsable boolean | if 'parsable' is set to True | if parsable output should be provided in machine friendly format. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.